// Ericsson Mobile Phone SDK
// Copyright (C) 2000 Ericsson Mobile Communications AB
// All rights reserved.
//
// This file is a part of Ericsson Mobile Phone SDK. 
// The code and information is provided "as-is" without
// warranty of any kind, either expressed or implied.
//
// Description: Header file for anubis.dll.

// ANUBIS.H

typedef struct {
	DWORD sizeOfStruct;			// Set to size (in bytes) of the ANUBISPARAMS struct (11*4=44)
	BOOL bInstallFromInet;		// NOT SUPPORTED, ignored.
	BOOL bIsUpgrade;			// Set to TRUE if this is a upgrade setup that installs over an
								// exsisting setup.
								// The reference counter is not incremented if it is an upgrade.
	HWND hWnd;					// Handle to parent window, can be NULL.
	BOOL bVisible;				// Set to TRUE to get an Anubis dailog.
	const char *szPath;			// Path to anubis.exe or anubists.exe (anubis with troubleshooter)
								// NOTE: path should include Exe file name!
	BOOL* bNeedRestart;			// TRUE if Windows must be restarted after the anubis setup has run
	DWORD LanguageId;			// LanguageID (e.g. 0x0409 for English).
	const char *szInstallPath;	// Desired install directory NOTE! Anubis will only be installed
								// to this path if GetRefCounter() returns 0, i.e. this is the
								// first setup of Anubis. Here the size was 9*4=36.
	BOOL bInstallTS;			// If true, will install Trouble Shooter.
								// Only valid if SizeOfStruct is >=44
	const char *szTSPath;		// Path to ts.exe.
								// NOTE: path should include Exe file name!
} ANUBISPARAMS;

typedef ANUBISPARAMS *LPANUBISPARAMS;

/*  

// Install installs Anubis, returns 0 on failure. Increments RefCounter.
int Install(LPANUBISPARAMS lpParams);

// GetRefCounter returns Anubis reference counter, i.e. current number of Anubis clients.
int GetRefCounter(void);

// Uninstall removes Anubis from system if reference counter equals one. If reference
// counter > 1, the reference counter is decremented by 1.
// Returns 1 if reboot is needed else 0.
// Set bSilentUninstall to 1 to get silent uninstall.
int Uninstall(int bSilentUninstall);


// If GetAnubisPath returns non-zero, the szPath variable points to current Anubis path.
int CALLBACK GetAnubisPath(char* szPath, DWORD sizeofBuffer)

//IsEPMActive returns 1 if Ericsson Phone Monitor is running, else 0.
int IsEPMActive(void)

*/
