// Ericsson Mobile Phone SDK
// Copyright (C) 2000 Ericsson Mobile Communications AB
// All rights reserved.
//
// This file is a part of Ericsson Mobile Phone SDK. 
// The code and information is provided "as-is" without
// warranty of any kind, either expressed or implied.
//
// Environment:	Microsoft Windows 95 / 98 / NT 4.0
// Compiler:	InstallShield 5.5
// Description:	Contains header needed for using the Anubis
//				Installer API from an InstallShield setup script.

// ANUBISINS.H

////////////////////////////////////////////////////////
// DLL File name to use in InstallShield
#define ANUBIS_DLL_NAME    "anubis.dll"

// The size of ANUBISPARAMS (to be passed in below type/struct)
#define SIZEOF_ANUBISPARAMS 44

typedef ANUBISPARAMS
begin
	NUMBER sizeOfStruct;	// Set to size (in bytes) of the ANUBISPARAMS struct (11*4=44).
	BOOL bInstallFromInet;	// NOT SUPPORTED, ignored.
	BOOL bIsUpgrade;		// Set to TRUE if this is a upgrade setup that installs over an
							// exsisting setup.
							// The reference counter is not incremented if it is an upgrade
	NUMBER hWnd;			// Handle to parent window, can be NULL.
	BOOL bVisible;			// Set to TRUE to get an Anubis dailog.
	POINTER szPath;			// Path to anubis.exe or anubists.exe (anubis with troubleshooter)
							// NOTE: path should include Exe file name!
	POINTER bNeedRestart;	// TRUE if Windows must be restarted after the anubis setup has run.
	NUMBER LanguageID;		// LanguageID (e.g. 0x0409 for English).
	POINTER szInstallPath;	// Desired install directory NOTE! Anubis will only be installed to
							// this path if GetRefCounter() returns 0, i.e. this is the first
							// setup of Anubis.
							// Up to this point the size was 9*4=36.
	BOOL bInstallTS;		// Will install Communication Trouble Shooter, only valid if
							// size is >=44.
	POINTER szTSPath;		// Path to ts.exe.
							// NOTE: path should include Exe file name!
end;

// Install installs Anubis, returns 0 on failure. Increments RefCounter
prototype NUMBER ANUBIS.Install (ANUBISPARAMS POINTER);

// GetRefCounter returns Anubis reference counter, i.e. current number of Anubis clients.
prototype NUMBER ANUBIS.GetRefCounter ();

// Uninstall removes Anubis from system if reference counter equals one. If reference
// counter > 1, the reference counter is decremented by 1.
// Returns 1 if reboot is needed else 0.
// Set bSilentUninstall to 1 to get silent uninstall.
prototype NUMBER ANUBIS.Uninstall(NUMBER /*bSilentUninstall*/);


// If GetAnubisPath returns non-zero, the szPath variable points to current Anubis path.
prototype NUMBER ANUBIS.GetAnubisPath(POINTER /*szPath*/, NUMBER /*sizeofBuffer*/);

//IsEPMActive returns 1 if Ericsson Phone Monitor is running, else 0.
prototype NUMBER ANUBIS.IsEPMActive();
